# ULiegeTrigon - Customization package for Trigon theme

This package customizes the [Trigon theme for Beamer](https://www.gitlab.com/thlamb/beamertheme-trigon) in order to follow the ULiège style recommendations. Its main purpose is to pick the right color palette and logos for the different faculties of the University.

A second package, ULiegeColors, is also provided in order to define the official color palette of the University of Liège. These packages are provided separately, so the colors can be loaded independently for other types of documents.

Neither this package, nor the Trigon theme, are officially endorsed by the University. The Trigon theme and this additional package were simply made at first for my personal use (courses, presentations, etc.).

The Trigon theme will be published on CTAN and Overleaf in the near future, under [lppl license](https://www.latex-project.org/lppl/)(_free software_). It will also hopefully get integrated in TexLive and Miktex soon after. This ULiegetrigon package is not meant to be published on these platforms, as its use is limited to the Institution.


## Features
- Adapt theme colors and faculty logo to the official faculty style


## Usage

### Package options
The package options can be adjusted as follows: `\usepackage[<options>]{ULiegetrigon}`
- `faculty=X`, where X is the abbreviation of the faculty
    - uliege: ULiege style (default)
    - ssoc: Social sciences
    - apps: Applied sciences
    - med: Medicine
    - agro: Agro-Bio Tech
    - gemb: Gembloux agro-bio tech
    - psy: Psychology
    - phi: Philosophy
    - sci: Sciences
    - vet: Veterinary medicine
    - law: Law
    - hec: HEC (Management School)
    - arch: Architecture
- `titlelogo=X`, where X is the logo style name for the titleslide
    - none: no logo on titleslide
    - uliege: ULiege logo
    - fac: (default) Faculty logo (as defined with faculty=X)
- `slidelogo=X`, where X is the logo style name for the normal slides
    - none: no logo on normal slides
    - uliege: ULiege logo
    - fac: (default) Faculty logo (as defined with faculty=X)

Example:
```
\usepackage[faculty=apps, titlelogo=uliege, slidelogo=none]{ULiegetrigon}
```

### Trigon theme options
The various trigon theme options remain totally usable (slide styles, frame numbering, etc.). See the Trigon documentation for more details and examples.

### License
Licensed under **The Unlicense**, which basically means that it is _free software_ and you can do what you want with these codes. I would have preferred to go with the [wtfpl](https://choosealicense.com/licenses/wtfpl/), but it is not really suited in University context.
